<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>FRMGCMRequestHandler</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FRMGCMRequestHandler";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FRMGCMRequestHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html" target="_top">Frames</a></li>
<li><a href="FRMGCMRequestHandler.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.server</div>
<h2 title="Class FRMGCMRequestHandler" class="title">Class FRMGCMRequestHandler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.server.FRMGCMRequestHandler</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.apache.http.protocol.HttpRequestHandler</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">FRMGCMRequestHandler</span>
extends java.lang.Object
implements org.apache.http.protocol.HttpRequestHandler</pre>
<div class="block">Handle HTTP request as a webservice
 Services :
 - GET :
    - corpus => list all corpus
    - corpus/id => return corpus with id = id
    - corpus/id/status => return corpus status
    - corpus/id/document => return corpus document list
    - corpus/id/document/id => return doc
    - corpus/id/document/id/annotated => return annotated doc
    - corpus/id/document/id/sentence/id => return graph
 - POST :
    - process + <json info></div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>paul</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.StringBuilder</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html#corpus">corpus</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html#services">services</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html#FRMGCMRequestHandler()">FRMGCMRequestHandler</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html#addService(fr.inria.alpage.frmgcm.server.FRMGCMService)">addService</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a>&nbsp;service)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html#handle(org.apache.http.HttpRequest,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext)">handle</a></strong>(org.apache.http.HttpRequest&nbsp;request,
      org.apache.http.HttpResponse&nbsp;response,
      org.apache.http.protocol.HttpContext&nbsp;context)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="services">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>services</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a>&gt; services</pre>
</li>
</ul>
<a name="corpus">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>corpus</h4>
<pre>public&nbsp;java.lang.StringBuilder corpus</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FRMGCMRequestHandler()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FRMGCMRequestHandler</h4>
<pre>public&nbsp;FRMGCMRequestHandler()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="handle(org.apache.http.HttpRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handle</h4>
<pre>public&nbsp;void&nbsp;handle(org.apache.http.HttpRequest&nbsp;request,
          org.apache.http.HttpResponse&nbsp;response,
          org.apache.http.protocol.HttpContext&nbsp;context)
            throws org.apache.http.HttpException,
                   java.io.IOException</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>handle</code>&nbsp;in interface&nbsp;<code>org.apache.http.protocol.HttpRequestHandler</code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>org.apache.http.HttpException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="addService(fr.inria.alpage.frmgcm.server.FRMGCMService)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addService</h4>
<pre>public&nbsp;void&nbsp;addService(<a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a>&nbsp;service)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FRMGCMRequestHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html" target="_top">Frames</a></li>
<li><a href="FRMGCMRequestHandler.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
